.variant-selector {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 8000;
  width: 100%;
  height: 100vh;
  height: 100dvh;
  height: 100svh;
  overflow: hidden;
  display: none;
  align-items: center;
  background-color: transparent;
  transition: background-color 0.3s ease, display 0.3s ease allow-discrete;
  transition-behavior: allow-discrete;
}
@media (max-width: 639px) {
  .variant-selector {
    align-items: end;
  }
}
.variant-selector_opened {
  display: flex;
  background-color: rgba(0, 0, 0, 0.4);
}
.variant-selector_opened .variant-selector__modal {
  scale: 1;
  opacity: 1;
}
@starting-style {
  .variant-selector_opened {
    background-color: transparent;
  }
  .variant-selector_opened .variant-selector__modal {
    scale: 0.95;
    opacity: 0;
  }
}
.variant-selector_loading .variant-selector__modal-header-preview img {
  display: none;
}
.variant-selector_loading .variant-selector__modal-header,
.variant-selector_loading .variant-selector__modal-variants,
.variant-selector_loading .variant-selector__modal-variant,
.variant-selector_loading .variant-selector__modal-confirm {
  opacity: 0.4;
}
.variant-selector__modal {
  box-sizing: border-box;
  width: 100%;
  max-width: 600px;
  height: auto;
  padding: 52px 20px 24px 20px;
  margin: 0 auto;
  position: relative;
  border-radius: 16px;
  background-color: white;
  box-shadow: 3px 3px 24px 0px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 24px;
  scale: 0.95;
  opacity: 0;
  transition: scale 0.2s ease, opacity 0.2s ease;
}
.variant-selector__modal-close-btn {
  box-sizing: border-box;
  padding: 8px;
  border-radius: 12px;
  border: none;
  background-color: transparent;
  position: absolute;
  top: 4px;
  right: 8px;
  transition: background-color 0.3s ease;
  cursor: pointer;
}
.variant-selector__modal-close-btn img {
  user-select: none;
  -webkit-user-drag: none;
}
.variant-selector__modal-close-btn:active {
  background-color: rgba(29, 44, 64, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .variant-selector__modal-close-btn:hover {
    background-color: rgba(29, 44, 64, 0.05);
  }
}
.variant-selector__modal-header {
  display: grid;
  grid-template-columns: 80px 1fr;
  gap: 8px;
  align-items: center;
}
.variant-selector__modal-header-preview {
  box-sizing: border-box;
  padding: 4px;
  flex-shrink: 0;
  width: 80px;
  height: 80px;
  border-radius: 10px;
  background-color: rgba(29, 44, 64, 0.05);
}
.variant-selector__modal-header-preview img {
  width: 100%;
  height: 100%;
  mix-blend-mode: darken;
  object-fit: contain;
  user-select: none;
  -webkit-user-drag: none;
}
.variant-selector__modal-header-info {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.variant-selector__modal-header-info-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 135%;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.variant-selector__modal-header-info-price {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 15px;
  color: black;
  line-height: 135%;
}
.variant-selector__modal-variants {
  display: contents;
}
.variant-selector__modal-variant {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.variant-selector__modal-variant-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 15px;
  color: black;
  line-height: 135%;
}
.variant-selector__modal-variant-options {
  display: flex;
  gap: 4px;
}
.variant-selector__modal-variant-option {
  box-sizing: border-box;
  padding: 6px 10px;
  border-radius: 100px;
  border: 1px solid rgba(29, 44, 64, 0.1);
  background-color: white;
  flex-shrink: 0;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
  transition: background-color 0.2s ease;
}
.variant-selector__modal-variant-option:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .variant-selector__modal-variant-option:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.variant-selector__modal-variant-option_selected {
  background-color: rgba(29, 44, 64, 0.05);
}
.variant-selector__modal-variant-option_disabled {
  background-color: rgba(29, 44, 64, 0.05);
  opacity: 0.2;
}
.variant-selector__modal-confirm {
  width: 100%;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 8px;
}
.variant-selector__modal-confirm-qty {
  box-sizing: border-box;
  height: 40px;
  flex-shrink: 0;
  background-color: rgba(29, 44, 64, 0.05);
  display: flex;
  align-items: center;
  gap: 8px;
  border-radius: 12px;
  overflow: hidden;
}
.variant-selector__modal-confirm-qty-btn {
  width: 40px;
  height: 40px;
  border: none;
  background-color: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: background-color 0.1s ease;
}
.variant-selector__modal-confirm-qty-btn:active {
  background-color: rgba(22, 32, 46, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .variant-selector__modal-confirm-qty-btn:hover {
    background-color: rgba(22, 32, 46, 0.05);
  }
}
.variant-selector__modal-confirm-qty-btn img {
  max-width: none;
  user-select: none;
  -webkit-user-drag: none;
}
.variant-selector__modal-confirm-qty-value {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 400;
  line-height: 135%;
}
.variant-selector__modal-confirm-btn {
  box-sizing: border-box;
  padding: 12px 0;
  border: none;
  border-radius: 12px;
  background-color: #fcf806;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  transition: background-color 0.2s ease;
  cursor: pointer;
}
.variant-selector__modal-confirm-btn:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .variant-selector__modal-confirm-btn:hover {
    background-color: #fcda06;
  }
}
.variant-selector__modal-confirm-btn img {
  user-select: none;
  -webkit-user-drag: none;
}
.variant-selector__modal-confirm-btn span {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 400;
  line-height: 100%;
  user-select: none;
}